#!/bnr/bootleg/bin/tcl/wishx -f
set rpd 0.017453293
puts stdout "# normalized sin(d),cos(d),tan(d)  0<=d<=360  x'=x*sin(d)>>14"
for {set i 0} {$i < 361} {incr i} {
   set sin($i) [format %.0f [expr {16384*[sin {$i*$rpd}]}]]
   set cos($i) [format %.0f [expr {16384*[cos {$i*$rpd}]}]]
   set tan($i) [format %.0f [expr {16384*[tan {$i*$rpd}]}]]
   puts stdout [format "%-25s %-25s %-25s" "set sin($i) $sin($i);" "set cos($i) $cos($i);" "set tan($i) $tan($i);"]
}
